<?php

add_action('init','of_options');

if (!function_exists('of_options'))
{
	function of_options()
	{
		//Access the WordPress Categories via an Array
		$of_categories 		= array();  
		$of_categories_obj 	= get_categories('hide_empty=0');
		foreach ($of_categories_obj as $of_cat) {
		    $of_categories[$of_cat->cat_ID] = $of_cat->cat_name;}
		$categories_tmp 	= array_unshift($of_categories, "Select a category:");    
	       
		//Access the WordPress Pages via an Array
		$of_pages 			= array();
		$of_pages_obj 		= get_pages('sort_column=post_parent,menu_order');    
		foreach ($of_pages_obj as $of_page) {
		    $of_pages[$of_page->ID] = $of_page->post_name; }
		$of_pages_tmp 		= array_unshift($of_pages, "Select a page:");       
	
		//Testing 
	$of_options_style 	= array("flat","full width");
	$of_options_mode 	= array("business","blog");	
	$of_options_select 	= array("one","two","three","four","five");
    $of_options_slider 	= array("nivoslider","simpleslider","video");
    $of_options_featured 	= array("noimage","top icon","image left");
    $of_options_radio 	= array("one" => "One","two" => "Two","three" => "Three","four" => "Four","five" => "Five");
	$of_options_testi 	= array("yes","no");    
		
		//Sample Homepage blocks for the layout manager (sorter)
		$of_options_homepage_blocks = array
		( 
			"disabled" => array (
				"placebo" 		=> "placebo", //REQUIRED!
 		"block_ten"		=> "Pricing Table",
      ), 
			"enabled" => array (
		"placebo" 		=> "placebo", //REQUIRED!
        "block_one"		=> "Featured",
		"block_three"	=> "Portfolio",
		"block_four"	=> "Recent Post",
        "block_two"		=> "Gallery",            
        "block_six"		=> "Testimonial",    
			),
		);
		$of_options_homepage_mobile = array
		( 
			"disabled" => array (
				"placebo" 		=> "placebo", //REQUIRED!
        "fitur"		=> "Featured Post",
      ), 
			"enabled" => array (
				"placebo" 		=> "placebo", //REQUIRED!
				"menu"	=> "Mobile Menu",   
				"welcome"		=> "Welcome",
				"recent"	=> "Recent Post", 
			),
		);    


		//Stylesheets Reader
		$alt_stylesheet_path = LAYOUT_PATH;
		$alt_stylesheets = array();
		
		if ( is_dir($alt_stylesheet_path) ) 
		{
		    if ($alt_stylesheet_dir = opendir($alt_stylesheet_path) ) 
		    { 
		        while ( ($alt_stylesheet_file = readdir($alt_stylesheet_dir)) !== false ) 
		        {
		            if(stristr($alt_stylesheet_file, ".css") !== false)
		            {
		                $alt_stylesheets[] = $alt_stylesheet_file;
		            }
		        }    
		    }
		}


		//Background Images Reader
		$bg_images_path = get_stylesheet_directory(). '/images/bg/'; // change this to where you store your bg images
		$bg_images_url = get_template_directory_uri().'/images/bg/'; // change this to where you store your bg images
		$bg_images = array();
		
		if ( is_dir($bg_images_path) ) {
		    if ($bg_images_dir = opendir($bg_images_path) ) { 
		        while ( ($bg_images_file = readdir($bg_images_dir)) !== false ) {
		            if(stristr($bg_images_file, ".png") !== false || stristr($bg_images_file, ".jpg") !== false) {
		            	natsort($bg_images); //Sorts the array into a natural order
		                $bg_images[] = $bg_images_url . $bg_images_file;
		            }
		        }    
		    }
		}
		

		/*-----------------------------------------------------------------------------------*/
		/* TO DO: Add options/functions that use these */
		/*-----------------------------------------------------------------------------------*/
		
		//More Options
		$uploads_arr 		= wp_upload_dir();
		$all_uploads_path 	= $uploads_arr['path'];
		$all_uploads 		= get_option('of_uploads');
		$other_entries 		= array("Select a number:","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19");
		$body_repeat 		= array("no-repeat","repeat-x","repeat-y","repeat");
		$body_pos 			= array("top left","top center","top right","center left","center center","center right","bottom left","bottom center","bottom right");
		
		// Image Alignment radio box
		$of_options_thumb_align = array("alignleft" => "Left","alignright" => "Right","aligncenter" => "Center"); 
		
		// Image Links to Options
		$of_options_image_link_to = array("image" => "The Image","post" => "The Post"); 


/*-----------------------------------------------------------------------------------*/
/* The Options Array */
/*-----------------------------------------------------------------------------------*/

// Set the Options Array
global $of_options;
$of_options = array();

$of_options[] = array( 	"name" 		=> "Style",
						"type" 		=> "heading"
				);
$of_options[] = array( 	"name" 		=> "Style",
						"desc" 		=> "Select your favourite design style",
						"id" 		=> "style",
						"std" 		=> "full width",
						"type" 		=> "select",
						"options" 	=> $of_options_style
        );
$of_options[] = array( 	"name" 		=> "Mode",
						"desc" 		=> "Select your favourite site mode",
						"id" 		=> "mode",
						"std" 		=> "business",
						"type" 		=> "select",
						"options" 	=> $of_options_mode
        );    
$url =  ADMIN_DIR . 'assets/images/';				
$of_options[] = array( 	"name" 		=> "Stylesheet Color",
						"desc" 		=> "Select your favorite style color, or switch on Custom Style if you want to use your own style",
						"id" 		=> "style_color",
						"std" 		=> "blue.css",
						"type" 		=> "images",
						"options" 	=> array(
											'white.css' 	=> $url . 'white.png',
											'silver.css' 	=> $url . 'silver.png',
											'grey.css' 		=> $url . 'grey.png',
											'black.css' 	=> $url . 'black.png',
											'orange.css' 	=> $url . 'orange.png',
											'red.css' 		=> $url . 'red.png',
											'brown.css' 	=> $url . 'brown.png',
											'maroon.css' 	=> $url . 'maroon.png',
											'green.css' 	=> $url . 'green.png',
											'cyan.css' 		=> $url . 'cyan.png',
											'blue.css' 		=> $url . 'blue.png',
											'lightblue.css' => $url . 'lightblue.png',
											'darkblue.css' 	=> $url . 'darkblue.png',
											'purple.css' 	=> $url . 'purple.png',
											'magenta.css' 	=> $url . 'magenta.png'										              
            )
				);	
$of_options[] = array( 	"name" 		=> "Background Image",
						"desc" 		=> "Upload your background image",
						"id" 		=> "bg_img_main",
						"std" 		=> "",
						"type" 		=> "upload",
				);		
$of_options[] = array( 	"name" 		=> "Or Select Background Image",
						"desc" 		=> "Select a background pattern.",
						"id" 		=> "bg_img",
						"std" 		=> $bg_images_url."bg0.png",
						"type" 		=> "tiles",
						"options" 	=> $bg_images,
				);
$of_options[] = array( 	"name" 		=> "Google Font Select",
						"desc" 		=> "Select the you want to use for your site",
						"id" 		=> "font_select",
						"std" 		=> "Open Sans",
						"type" 		=> "select_google_font",
						"preview" 	=> array(
										"text" => "This is my preview text!", //this is the text from preview box
										"size" => "30px" //this is the text size from preview box
						),
						"options" 	=> array(
										"none" => "Select a font",//please, always use this key: "none"
										"ABeeZee" => "ABeeZee",
"Abel" => "Abel",
"Abril Fatface" => "Abril Fatface",
"Aclonica" => "Aclonica",
"Acme" => "Acme",
"Actor" => "Actor",
"Adamina" => "Adamina",
"Advent Pro" => "Advent Pro",
"Aguafina Script" => "Aguafina Script",
"Akronim" => "Akronim",
"Aladin" => "Aladin",
"Aldrich" => "Aldrich",
"Alef" => "Alef",
"Alegreya" => "Alegreya",
"Alegreya SC" => "Alegreya SC",
"Alegreya Sans" => "Alegreya Sans",
"Alegreya Sans SC" => "Alegreya Sans SC",
"Alex Brush" => "Alex Brush",
"Alfa Slab One" => "Alfa Slab One",
"Alice" => "Alice",
"Alike" => "Alike",
"Alike Angular" => "Alike Angular",
"Allan" => "Allan",
"Allerta" => "Allerta",
"Allerta Stencil" => "Allerta Stencil",
"Allura" => "Allura",
"Almendra" => "Almendra",
"Almendra Display" => "Almendra Display",
"Almendra SC" => "Almendra SC",
"Amarante" => "Amarante",
"Amaranth" => "Amaranth",
"Amatic SC" => "Amatic SC",
"Amethysta" => "Amethysta",
"Anaheim" => "Anaheim",
"Andada" => "Andada",
"Andika" => "Andika",
"Angkor" => "Angkor",
"Annie Use Your Telescope" => "Annie Use Your Telescope",
"Anonymous Pro" => "Anonymous Pro",
"Antic" => "Antic",
"Antic Didone" => "Antic Didone",
"Antic Slab" => "Antic Slab",
"Anton" => "Anton",
"Arapey" => "Arapey",
"Arbutus" => "Arbutus",
"Arbutus Slab" => "Arbutus Slab",
"Architects Daughter" => "Architects Daughter",
"Archivo Black" => "Archivo Black",
"Archivo Narrow" => "Archivo Narrow",
"Arimo" => "Arimo",
"Arizonia" => "Arizonia",
"Armata" => "Armata",
"Artifika" => "Artifika",
"Arvo" => "Arvo",
"Asap" => "Asap",
"Asset" => "Asset",
"Astloch" => "Astloch",
"Asul" => "Asul",
"Atomic Age" => "Atomic Age",
"Aubrey" => "Aubrey",
"Audiowide" => "Audiowide",
"Autour One" => "Autour One",
"Average" => "Average",
"Average Sans" => "Average Sans",
"Averia Gruesa Libre" => "Averia Gruesa Libre",
"Averia Libre" => "Averia Libre",
"Averia Sans Libre" => "Averia Sans Libre",
"Averia Serif Libre" => "Averia Serif Libre",
"Bad Script" => "Bad Script",
"Balthazar" => "Balthazar",
"Bangers" => "Bangers",
"Basic" => "Basic",
"Battambang" => "Battambang",
"Baumans" => "Baumans",
"Bayon" => "Bayon",
"Belgrano" => "Belgrano",
"Belleza" => "Belleza",
"BenchNine" => "BenchNine",
"Bentham" => "Bentham",
"Berkshire Swash" => "Berkshire Swash",
"Bevan" => "Bevan",
"Bigelow Rules" => "Bigelow Rules",
"Bigshot One" => "Bigshot One",
"Bilbo" => "Bilbo",
"Bilbo Swash Caps" => "Bilbo Swash Caps",
"Bitter" => "Bitter",
"Black Ops One" => "Black Ops One",
"Bokor" => "Bokor",
"Bonbon" => "Bonbon",
"Boogaloo" => "Boogaloo",
"Bowlby One" => "Bowlby One",
"Bowlby One SC" => "Bowlby One SC",
"Brawler" => "Brawler",
"Bree Serif" => "Bree Serif",
"Bubblegum Sans" => "Bubblegum Sans",
"Bubbler One" => "Bubbler One",
"Buda" => "Buda",
"Buenard" => "Buenard",
"Butcherman" => "Butcherman",
"Butterfly Kids" => "Butterfly Kids",
"Cabin" => "Cabin",
"Cabin Condensed" => "Cabin Condensed",
"Cabin Sketch" => "Cabin Sketch",
"Caesar Dressing" => "Caesar Dressing",
"Cagliostro" => "Cagliostro",
"Calligraffitti" => "Calligraffitti",
"Cambo" => "Cambo",
"Candal" => "Candal",
"Cantarell" => "Cantarell",
"Cantata One" => "Cantata One",
"Cantora One" => "Cantora One",
"Capriola" => "Capriola",
"Cardo" => "Cardo",
"Carme" => "Carme",
"Carrois Gothic" => "Carrois Gothic",
"Carrois Gothic SC" => "Carrois Gothic SC",
"Carter One" => "Carter One",
"Caudex" => "Caudex",
"Cedarville Cursive" => "Cedarville Cursive",
"Ceviche One" => "Ceviche One",
"Changa One" => "Changa One",
"Chango" => "Chango",
"Chau Philomene One" => "Chau Philomene One",
"Chela One" => "Chela One",
"Chelsea Market" => "Chelsea Market",
"Chenla" => "Chenla",
"Cherry Cream Soda" => "Cherry Cream Soda",
"Cherry Swash" => "Cherry Swash",
"Chewy" => "Chewy",
"Chicle" => "Chicle",
"Chivo" => "Chivo",
"Cinzel" => "Cinzel",
"Cinzel Decorative" => "Cinzel Decorative",
"Clicker Script" => "Clicker Script",
"Coda" => "Coda",
"Coda Caption" => "Coda Caption",
"Codystar" => "Codystar",
"Combo" => "Combo",
"Comfortaa" => "Comfortaa",
"Coming Soon" => "Coming Soon",
"Concert One" => "Concert One",
"Condiment" => "Condiment",
"Content" => "Content",
"Contrail One" => "Contrail One",
"Convergence" => "Convergence",
"Cookie" => "Cookie",
"Copse" => "Copse",
"Corben" => "Corben",
"Courgette" => "Courgette",
"Cousine" => "Cousine",
"Coustard" => "Coustard",
"Covered By Your Grace" => "Covered By Your Grace",
"Crafty Girls" => "Crafty Girls",
"Creepster" => "Creepster",
"Crete Round" => "Crete Round",
"Crimson Text" => "Crimson Text",
"Croissant One" => "Croissant One",
"Crushed" => "Crushed",
"Cuprum" => "Cuprum",
"Cutive" => "Cutive",
"Cutive Mono" => "Cutive Mono",
"Damion" => "Damion",
"Dancing Script" => "Dancing Script",
"Dangrek" => "Dangrek",
"Dawning of a New Day" => "Dawning of a New Day",
"Days One" => "Days One",
"Delius" => "Delius",
"Delius Swash Caps" => "Delius Swash Caps",
"Delius Unicase" => "Delius Unicase",
"Della Respira" => "Della Respira",
"Denk One" => "Denk One",
"Devonshire" => "Devonshire",
"Didact Gothic" => "Didact Gothic",
"Diplomata" => "Diplomata",
"Diplomata SC" => "Diplomata SC",
"Domine" => "Domine",
"Donegal One" => "Donegal One",
"Doppio One" => "Doppio One",
"Dorsa" => "Dorsa",
"Dosis" => "Dosis",
"Dr Sugiyama" => "Dr Sugiyama",
"Droid Sans" => "Droid Sans",
"Droid Sans Mono" => "Droid Sans Mono",
"Droid Serif" => "Droid Serif",
"Duru Sans" => "Duru Sans",
"Dynalight" => "Dynalight",
"EB Garamond" => "EB Garamond",
"Eagle Lake" => "Eagle Lake",
"Eater" => "Eater",
"Economica" => "Economica",
"Electrolize" => "Electrolize",
"Elsie" => "Elsie",
"Elsie Swash Caps" => "Elsie Swash Caps",
"Emblema One" => "Emblema One",
"Emilys Candy" => "Emilys Candy",
"Engagement" => "Engagement",
"Englebert" => "Englebert",
"Enriqueta" => "Enriqueta",
"Erica One" => "Erica One",
"Esteban" => "Esteban",
"Euphoria Script" => "Euphoria Script",
"Ewert" => "Ewert",
"Exo" => "Exo",
"Exo 2" => "Exo 2",
"Expletus Sans" => "Expletus Sans",
"Fanwood Text" => "Fanwood Text",
"Fascinate" => "Fascinate",
"Fascinate Inline" => "Fascinate Inline",
"Faster One" => "Faster One",
"Fasthand" => "Fasthand",
"Fauna One" => "Fauna One",
"Federant" => "Federant",
"Federo" => "Federo",
"Felipa" => "Felipa",
"Fenix" => "Fenix",
"Finger Paint" => "Finger Paint",
"Fjalla One" => "Fjalla One",
"Fjord One" => "Fjord One",
"Flamenco" => "Flamenco",
"Flavors" => "Flavors",
"Fondamento" => "Fondamento",
"Fontdiner Swanky" => "Fontdiner Swanky",
"Forum" => "Forum",
"Francois One" => "Francois One",
"Freckle Face" => "Freckle Face",
"Fredericka the Great" => "Fredericka the Great",
"Fredoka One" => "Fredoka One",
"Freehand" => "Freehand",
"Fresca" => "Fresca",
"Frijole" => "Frijole",
"Fruktur" => "Fruktur",
"Fugaz One" => "Fugaz One",
"GFS Didot" => "GFS Didot",
"GFS Neohellenic" => "GFS Neohellenic",
"Gabriela" => "Gabriela",
"Gafata" => "Gafata",
"Galdeano" => "Galdeano",
"Galindo" => "Galindo",
"Gentium Basic" => "Gentium Basic",
"Gentium Book Basic" => "Gentium Book Basic",
"Geo" => "Geo",
"Geostar" => "Geostar",
"Geostar Fill" => "Geostar Fill",
"Germania One" => "Germania One",
"Gilda Display" => "Gilda Display",
"Give You Glory" => "Give You Glory",
"Glass Antiqua" => "Glass Antiqua",
"Glegoo" => "Glegoo",
"Gloria Hallelujah" => "Gloria Hallelujah",
"Goblin One" => "Goblin One",
"Gochi Hand" => "Gochi Hand",
"Gorditas" => "Gorditas",
"Goudy Bookletter 1911" => "Goudy Bookletter 1911",
"Graduate" => "Graduate",
"Grand Hotel" => "Grand Hotel",
"Gravitas One" => "Gravitas One",
"Great Vibes" => "Great Vibes",
"Griffy" => "Griffy",
"Gruppo" => "Gruppo",
"Gudea" => "Gudea",
"Habibi" => "Habibi",
"Hammersmith One" => "Hammersmith One",
"Hanalei" => "Hanalei",
"Hanalei Fill" => "Hanalei Fill",
"Handlee" => "Handlee",
"Hanuman" => "Hanuman",
"Happy Monkey" => "Happy Monkey",
"Headland One" => "Headland One",
"Henny Penny" => "Henny Penny",
"Herr Von Muellerhoff" => "Herr Von Muellerhoff",
"Holtwood One SC" => "Holtwood One SC",
"Homemade Apple" => "Homemade Apple",
"Homenaje" => "Homenaje",
"IM Fell DW Pica" => "IM Fell DW Pica",
"IM Fell DW Pica SC" => "IM Fell DW Pica SC",
"IM Fell Double Pica" => "IM Fell Double Pica",
"IM Fell Double Pica SC" => "IM Fell Double Pica SC",
"IM Fell English" => "IM Fell English",
"IM Fell English SC" => "IM Fell English SC",
"IM Fell French Canon" => "IM Fell French Canon",
"IM Fell French Canon SC" => "IM Fell French Canon SC",
"IM Fell Great Primer" => "IM Fell Great Primer",
"IM Fell Great Primer SC" => "IM Fell Great Primer SC",
"Iceberg" => "Iceberg",
"Iceland" => "Iceland",
"Imprima" => "Imprima",
"Inconsolata" => "Inconsolata",
"Inder" => "Inder",
"Indie Flower" => "Indie Flower",
"Inika" => "Inika",
"Irish Grover" => "Irish Grover",
"Istok Web" => "Istok Web",
"Italiana" => "Italiana",
"Italianno" => "Italianno",
"Jacques Francois" => "Jacques Francois",
"Jacques Francois Shadow" => "Jacques Francois Shadow",
"Jim Nightshade" => "Jim Nightshade",
"Jockey One" => "Jockey One",
"Jolly Lodger" => "Jolly Lodger",
"Josefin Sans" => "Josefin Sans",
"Josefin Slab" => "Josefin Slab",
"Joti One" => "Joti One",
"Judson" => "Judson",
"Julee" => "Julee",
"Julius Sans One" => "Julius Sans One",
"Junge" => "Junge",
"Jura" => "Jura",
"Just Another Hand" => "Just Another Hand",
"Just Me Again Down Here" => "Just Me Again Down Here",
"Kameron" => "Kameron",
"Kantumruy" => "Kantumruy",
"Karla" => "Karla",
"Kaushan Script" => "Kaushan Script",
"Kavoon" => "Kavoon",
"Kdam Thmor" => "Kdam Thmor",
"Keania One" => "Keania One",
"Kelly Slab" => "Kelly Slab",
"Kenia" => "Kenia",
"Khmer" => "Khmer",
"Kite One" => "Kite One",
"Knewave" => "Knewave",
"Kotta One" => "Kotta One",
"Koulen" => "Koulen",
"Kranky" => "Kranky",
"Kreon" => "Kreon",
"Kristi" => "Kristi",
"Krona One" => "Krona One",
"La Belle Aurore" => "La Belle Aurore",
"Lancelot" => "Lancelot",
"Lato" => "Lato",
"League Script" => "League Script",
"Leckerli One" => "Leckerli One",
"Ledger" => "Ledger",
"Lekton" => "Lekton",
"Lemon" => "Lemon",
"Libre Baskerville" => "Libre Baskerville",
"Life Savers" => "Life Savers",
"Lilita One" => "Lilita One",
"Lily Script One" => "Lily Script One",
"Limelight" => "Limelight",
"Linden Hill" => "Linden Hill",
"Lobster" => "Lobster",
"Lobster Two" => "Lobster Two",
"Londrina Outline" => "Londrina Outline",
"Londrina Shadow" => "Londrina Shadow",
"Londrina Sketch" => "Londrina Sketch",
"Londrina Solid" => "Londrina Solid",
"Lora" => "Lora",
"Love Ya Like A Sister" => "Love Ya Like A Sister",
"Loved by the King" => "Loved by the King",
"Lovers Quarrel" => "Lovers Quarrel",
"Luckiest Guy" => "Luckiest Guy",
"Lusitana" => "Lusitana",
"Lustria" => "Lustria",
"Macondo" => "Macondo",
"Macondo Swash Caps" => "Macondo Swash Caps",
"Magra" => "Magra",
"Maiden Orange" => "Maiden Orange",
"Mako" => "Mako",
"Marcellus" => "Marcellus",
"Marcellus SC" => "Marcellus SC",
"Marck Script" => "Marck Script",
"Margarine" => "Margarine",
"Marko One" => "Marko One",
"Marmelad" => "Marmelad",
"Marvel" => "Marvel",
"Mate" => "Mate",
"Mate SC" => "Mate SC",
"Maven Pro" => "Maven Pro",
"McLaren" => "McLaren",
"Meddon" => "Meddon",
"MedievalSharp" => "MedievalSharp",
"Medula One" => "Medula One",
"Megrim" => "Megrim",
"Meie Script" => "Meie Script",
"Merienda" => "Merienda",
"Merienda One" => "Merienda One",
"Merriweather" => "Merriweather",
"Merriweather Sans" => "Merriweather Sans",
"Metal" => "Metal",
"Metal Mania" => "Metal Mania",
"Metamorphous" => "Metamorphous",
"Metrophobic" => "Metrophobic",
"Michroma" => "Michroma",
"Milonga" => "Milonga",
"Miltonian" => "Miltonian",
"Miltonian Tattoo" => "Miltonian Tattoo",
"Miniver" => "Miniver",
"Miss Fajardose" => "Miss Fajardose",
"Modern Antiqua" => "Modern Antiqua",
"Molengo" => "Molengo",
"Molle" => "Molle",
"Monda" => "Monda",
"Monofett" => "Monofett",
"Monoton" => "Monoton",
"Monsieur La Doulaise" => "Monsieur La Doulaise",
"Montaga" => "Montaga",
"Montez" => "Montez",
"Montserrat" => "Montserrat",
"Montserrat Alternates" => "Montserrat Alternates",
"Montserrat Subrayada" => "Montserrat Subrayada",
"Moul" => "Moul",
"Moulpali" => "Moulpali",
"Mountains of Christmas" => "Mountains of Christmas",
"Mouse Memoirs" => "Mouse Memoirs",
"Mr Bedfort" => "Mr Bedfort",
"Mr Dafoe" => "Mr Dafoe",
"Mr De Haviland" => "Mr De Haviland",
"Mrs Saint Delafield" => "Mrs Saint Delafield",
"Mrs Sheppards" => "Mrs Sheppards",
"Muli" => "Muli",
"Mystery Quest" => "Mystery Quest",
"Neucha" => "Neucha",
"Neuton" => "Neuton",
"New Rocker" => "New Rocker",
"News Cycle" => "News Cycle",
"Niconne" => "Niconne",
"Nixie One" => "Nixie One",
"Nobile" => "Nobile",
"Nokora" => "Nokora",
"Norican" => "Norican",
"Nosifer" => "Nosifer",
"Nothing You Could Do" => "Nothing You Could Do",
"Noticia Text" => "Noticia Text",
"Noto Sans" => "Noto Sans",
"Noto Serif" => "Noto Serif",
"Nova Cut" => "Nova Cut",
"Nova Flat" => "Nova Flat",
"Nova Mono" => "Nova Mono",
"Nova Oval" => "Nova Oval",
"Nova Round" => "Nova Round",
"Nova Script" => "Nova Script",
"Nova Slim" => "Nova Slim",
"Nova Square" => "Nova Square",
"Numans" => "Numans",
"Nunito" => "Nunito",
"Odor Mean Chey" => "Odor Mean Chey",
"Offside" => "Offside",
"Old Standard TT" => "Old Standard TT",
"Oldenburg" => "Oldenburg",
"Oleo Script" => "Oleo Script",
"Oleo Script Swash Caps" => "Oleo Script Swash Caps",
"Open Sans" => "Open Sans",
"Open Sans Condensed" => "Open Sans Condensed",
"Oranienbaum" => "Oranienbaum",
"Orbitron" => "Orbitron",
"Oregano" => "Oregano",
"Orienta" => "Orienta",
"Original Surfer" => "Original Surfer",
"Oswald" => "Oswald",
"Over the Rainbow" => "Over the Rainbow",
"Overlock" => "Overlock",
"Overlock SC" => "Overlock SC",
"Ovo" => "Ovo",
"Oxygen" => "Oxygen",
"Oxygen Mono" => "Oxygen Mono",
"PT Mono" => "PT Mono",
"PT Sans" => "PT Sans",
"PT Sans Caption" => "PT Sans Caption",
"PT Sans Narrow" => "PT Sans Narrow",
"PT Serif" => "PT Serif",
"PT Serif Caption" => "PT Serif Caption",
"Pacifico" => "Pacifico",
"Paprika" => "Paprika",
"Parisienne" => "Parisienne",
"Passero One" => "Passero One",
"Passion One" => "Passion One",
"Pathway Gothic One" => "Pathway Gothic One",
"Patrick Hand" => "Patrick Hand",
"Patrick Hand SC" => "Patrick Hand SC",
"Patua One" => "Patua One",
"Paytone One" => "Paytone One",
"Peralta" => "Peralta",
"Permanent Marker" => "Permanent Marker",
"Petit Formal Script" => "Petit Formal Script",
"Petrona" => "Petrona",
"Philosopher" => "Philosopher",
"Piedra" => "Piedra",
"Pinyon Script" => "Pinyon Script",
"Pirata One" => "Pirata One",
"Plaster" => "Plaster",
"Play" => "Play",
"Playball" => "Playball",
"Playfair Display" => "Playfair Display",
"Playfair Display SC" => "Playfair Display SC",
"Podkova" => "Podkova",
"Poiret One" => "Poiret One",
"Poller One" => "Poller One",
"Poly" => "Poly",
"Pompiere" => "Pompiere",
"Pontano Sans" => "Pontano Sans",
"Port Lligat Sans" => "Port Lligat Sans",
"Port Lligat Slab" => "Port Lligat Slab",
"Prata" => "Prata",
"Preahvihear" => "Preahvihear",
"Press Start 2P" => "Press Start 2P",
"Princess Sofia" => "Princess Sofia",
"Prociono" => "Prociono",
"Prosto One" => "Prosto One",
"Puritan" => "Puritan",
"Purple Purse" => "Purple Purse",
"Quando" => "Quando",
"Quantico" => "Quantico",
"Quattrocento" => "Quattrocento",
"Quattrocento Sans" => "Quattrocento Sans",
"Questrial" => "Questrial",
"Quicksand" => "Quicksand",
"Quintessential" => "Quintessential",
"Qwigley" => "Qwigley",
"Racing Sans One" => "Racing Sans One",
"Radley" => "Radley",
"Raleway" => "Raleway",
"Raleway Dots" => "Raleway Dots",
"Rambla" => "Rambla",
"Rammetto One" => "Rammetto One",
"Ranchers" => "Ranchers",
"Rancho" => "Rancho",
"Rationale" => "Rationale",
"Redressed" => "Redressed",
"Reenie Beanie" => "Reenie Beanie",
"Revalia" => "Revalia",
"Ribeye" => "Ribeye",
"Ribeye Marrow" => "Ribeye Marrow",
"Righteous" => "Righteous",
"Risque" => "Risque",
"Roboto" => "Roboto",
"Roboto Condensed" => "Roboto Condensed",
"Roboto Slab" => "Roboto Slab",
"Rochester" => "Rochester",
"Rock Salt" => "Rock Salt",
"Rokkitt" => "Rokkitt",
"Romanesco" => "Romanesco",
"Ropa Sans" => "Ropa Sans",
"Rosario" => "Rosario",
"Rosarivo" => "Rosarivo",
"Rouge Script" => "Rouge Script",
"Ruda" => "Ruda",
"Rufina" => "Rufina",
"Ruge Boogie" => "Ruge Boogie",
"Ruluko" => "Ruluko",
"Rum Raisin" => "Rum Raisin",
"Ruslan Display" => "Ruslan Display",
"Russo One" => "Russo One",
"Ruthie" => "Ruthie",
"Rye" => "Rye",
"Sacramento" => "Sacramento",
"Sail" => "Sail",
"Salsa" => "Salsa",
"Sanchez" => "Sanchez",
"Sancreek" => "Sancreek",
"Sansita One" => "Sansita One",
"Sarina" => "Sarina",
"Satisfy" => "Satisfy",
"Scada" => "Scada",
"Schoolbell" => "Schoolbell",
"Seaweed Script" => "Seaweed Script",
"Sevillana" => "Sevillana",
"Seymour One" => "Seymour One",
"Shadows Into Light" => "Shadows Into Light",
"Shadows Into Light Two" => "Shadows Into Light Two",
"Shanti" => "Shanti",
"Share" => "Share",
"Share Tech" => "Share Tech",
"Share Tech Mono" => "Share Tech Mono",
"Shojumaru" => "Shojumaru",
"Short Stack" => "Short Stack",
"Siemreap" => "Siemreap",
"Sigmar One" => "Sigmar One",
"Signika" => "Signika",
"Signika Negative" => "Signika Negative",
"Simonetta" => "Simonetta",
"Sintony" => "Sintony",
"Sirin Stencil" => "Sirin Stencil",
"Six Caps" => "Six Caps",
"Skranji" => "Skranji",
"Slackey" => "Slackey",
"Smokum" => "Smokum",
"Smythe" => "Smythe",
"Sniglet" => "Sniglet",
"Snippet" => "Snippet",
"Snowburst One" => "Snowburst One",
"Sofadi One" => "Sofadi One",
"Sofia" => "Sofia",
"Sonsie One" => "Sonsie One",
"Sorts Mill Goudy" => "Sorts Mill Goudy",
"Source Code Pro" => "Source Code Pro",
"Source Sans Pro" => "Source Sans Pro",
"Special Elite" => "Special Elite",
"Spicy Rice" => "Spicy Rice",
"Spinnaker" => "Spinnaker",
"Spirax" => "Spirax",
"Squada One" => "Squada One",
"Stalemate" => "Stalemate",
"Stalinist One" => "Stalinist One",
"Stardos Stencil" => "Stardos Stencil",
"Stint Ultra Condensed" => "Stint Ultra Condensed",
"Stint Ultra Expanded" => "Stint Ultra Expanded",
"Stoke" => "Stoke",
"Strait" => "Strait",
"Sue Ellen Francisco" => "Sue Ellen Francisco",
"Sunshiney" => "Sunshiney",
"Supermercado One" => "Supermercado One",
"Suwannaphum" => "Suwannaphum",
"Swanky and Moo Moo" => "Swanky and Moo Moo",
"Syncopate" => "Syncopate",
"Tangerine" => "Tangerine",
"Taprom" => "Taprom",
"Tauri" => "Tauri",
"Telex" => "Telex",
"Tenor Sans" => "Tenor Sans",
"Text Me One" => "Text Me One",
"The Girl Next Door" => "The Girl Next Door",
"Tienne" => "Tienne",
"Tinos" => "Tinos",
"Titan One" => "Titan One",
"Titillium Web" => "Titillium Web",
"Trade Winds" => "Trade Winds",
"Trocchi" => "Trocchi",
"Trochut" => "Trochut",
"Trykker" => "Trykker",
"Tulpen One" => "Tulpen One",
"Ubuntu" => "Ubuntu",
"Ubuntu Condensed" => "Ubuntu Condensed",
"Ubuntu Mono" => "Ubuntu Mono",
"Ultra" => "Ultra",
"Uncial Antiqua" => "Uncial Antiqua",
"Underdog" => "Underdog",
"Unica One" => "Unica One",
"UnifrakturCook" => "UnifrakturCook",
"UnifrakturMaguntia" => "UnifrakturMaguntia",
"Unkempt" => "Unkempt",
"Unlock" => "Unlock",
"Unna" => "Unna",
"VT323" => "VT323",
"Vampiro One" => "Vampiro One",
"Varela" => "Varela",
"Varela Round" => "Varela Round",
"Vast Shadow" => "Vast Shadow",
"Vibur" => "Vibur",
"Vidaloka" => "Vidaloka",
"Viga" => "Viga",
"Voces" => "Voces",
"Volkhov" => "Volkhov",
"Vollkorn" => "Vollkorn",
"Voltaire" => "Voltaire",
"Waiting for the Sunrise" => "Waiting for the Sunrise",
"Wallpoet" => "Wallpoet",
"Walter Turncoat" => "Walter Turncoat",
"Warnes" => "Warnes",
"Wellfleet" => "Wellfleet",
"Wendy One" => "Wendy One",
"Wire One" => "Wire One",
"Yanone Kaffeesatz" => "Yanone Kaffeesatz",
"Yellowtail" => "Yellowtail",
"Yeseva One" => "Yeseva One",
"Yesteryear" => "Yesteryear",
"Zeyada" => "Zeyada"
						)
				);    
$of_options[] = array( 	"name" 		=> "Custom Styling and Coloring",
						"desc" 		=> "Switch to ON if you want to use custom styling and coloring",
						"id" 		=> "switch_style",
						"std" 		=> 0,
						"folds"		=> 1,
						"type" 		=> "switch"
				);				
$of_options[] = array( 	"name" 		=> "Link Color",
						"desc" 		=> "Pick a link color(default: #0000ff).",
						"id" 		=> "link_color",
						"std" 		=> "#0000ff",
						"fold"		=> "switch_style",
						"type" 		=> "color"      
				);
$of_options[] = array( 	"name" 		=> "Header Background Color",
						"desc" 		=> "Pick a header background color for the theme (default: #fafafa).",
						"id" 		=> "head_bg",
						"std" 		=> "#fafafa",
						"fold"		=> "switch_style",
						"type" 		=> "color"      
				);
$of_options[] = array( 	"name" 		=> "Menu Link Color",
						"desc" 		=> "Pick a link color for the menu(default: #FFFFFF).",
						"id" 		=> "menu_color",
						"std" 		=> "#cc00aa",
						"fold"		=> "switch_style",
						"type" 		=> "color"      
				);		
$of_options[] = array( 	"name" 		=> "Slider/Welcome Background Color",
						"desc" 		=> "Pick a background color for the slider and welcome area(default: #666666).",
						"id" 		=> "menu_bgcolor",
						"std" 		=> "#666666",
						"fold"		=> "switch_style",
						"type" 		=> "color"      
				); 
$of_options[] = array( 	"name" 		=> "Welcome Title Color",
						"desc" 		=> "Select welcome title color",
						"id" 		=> "welcome_title_color",
						"std" 		=> "#ffffff",
						"fold"		=> "switch_style",
						"type" 		=> "color"
				);
$of_options[] = array( 	"name" 		=> "Welcome Text Color",
						"desc" 		=> "Select welcome text color",
						"id" 		=> "welcome_text_color",
						"std" 		=> "#fafafa",
						"fold"		=> "switch_style",
						"type" 		=> "color"
				);
$of_options[] = array( 	"name" 		=> "Call Button Background",
						"desc" 		=> "Select background color for call button on welcome area",
						"id" 		=> "call_bg",
						"std" 		=> "#cc0000",
						"fold"		=> "switch_style",
						"type" 		=> "color"
				);
$of_options[] = array( 	"name" 		=> "Call Button Text Color",
						"desc" 		=> "Select color for call text on welcome area",
						"id" 		=> "call_color",
						"std" 		=> "#ffffff",
						"fold"		=> "switch_style",
						"type" 		=> "color"
				);
$of_options[] = array( 	"name" 		=> "Footer Background",
						"desc" 		=> "Pick a background color for the footer (default: #626879).",
						"id" 		=> "footer_background",
						"std" 		=> "#626879",
						"fold"		=> "switch_style",
						"type" 		=> "color"
				);
$of_options[] = array( 	"name" 		=> "Footer Heading Color",
						"desc" 		=> "Pick a color for footer heading(default: #bfd6e4).",
						"id" 		=> "footer_heading",
						"std" 		=> "#bfd6e4",
						"fold"		=> "switch_style",
						"type" 		=> "color"
				);       
$of_options[] = array( 	"name" 		=> "Footer Text Color",
						"desc" 		=> "Pick a color for footer text(default: #ffffff).",
						"id" 		=> "footer_text_color",
						"std" 		=> "#ffffff",
						"fold"		=> "switch_style",
						"type" 		=> "color"
				); 
$of_options[] = array( 	"name" 		=> "Footer Link Color",
						"desc" 		=> "Pick a color for footer link(default: #ffffff).",
						"id" 		=> "footer_link",
						"std" 		=> "#ffffff",
						"fold"		=> "switch_style",
						"type" 		=> "color"
				);
		  
$of_options[] = array( 	"name" 		=> "Header",
						"type" 		=> "heading"
				);
$of_options[] = array( 	"name" 		=> "Your Logo Url",
						"desc" 		=> "Enter your logo url here or upload using media uploader (max width:250px)",
						"id" 		=> "logo_url",
						// Use the shortcodes [site_url] or [site_url_secure] for setting default URLs
						"std" 		=> "",
						"type" 		=> "upload"
				);

$of_options[] = array( 	"name" 		=> "Icon Url",
						"desc" 		=> "Enter your icon url here or upload using media uploader (size:40x40 pixels)",
						"id" 		=> "icon_url",
						// Use the shortcodes [site_url] or [site_url_secure] for setting default URLs
						"std" 		=> "",
						"type" 		=> "upload"
				);		
$of_options[] = array( 	"name" 		=> "Menu Class and Icon",
						"desc" 		=> "Enter title with class and upload your image as icon. Max. size is 25x25 pixels",
						"id" 		=> "menu_class",
						"std" 		=> "",
						"type" 		=> "slider"
				);
$of_options[] = array( 	"name" 		=> "Webmaster Tool Verification Code",
						"desc" 		=> "Enter your webaster tool verification code here",
						"id" 		=> "webmaster_tool",
						"std" 		=> "",
						"type" 		=> "text"
				);     
$of_options[] = array( 	"name" 		=> "Welcome",
						"type" 		=> "heading"
				);
$of_options[] = array( 	"name" 		=> "Welcome Title",
						"desc" 		=> "Enter your welcome title here",
						"id" 		=> "welcome_title",
						"std" 		=> "Welcome to our website",
						"type" 		=> "text"
				);							
$of_options[] = array( 	"name" 		=> "Welcome Message",
						"desc" 		=> "Enter welcome message here.",
						"id" 		=> "welcome_message",
						"std" 		=> "This is an example of welcome message. You can add more text here",
						"type" 		=> "textarea"
				);				
$of_options[] = array( 	"name" 		=> "Call Button Text",
						"desc" 		=> "Enter call text button",
						"id" 		=> "call_text",
						"std" 		=> "Get Started",
						"type" 		=> "text"
				);
$of_options[] = array( 	"name" 		=> "Call Button URL",
						"desc" 		=> "Enter url page when call button clicked",
						"id" 		=> "call_url",
						"std" 		=> "http://",
						"type" 		=> "text"
				);     
$of_options[] = array( 	"name" 		=> "Slider Option",
						"type" 		=> "heading"
				);
$of_options[] = array( 	"name" 		=> "Slider Style",
						"desc" 		=> "Select your favorite slider style",
						"id" 		=> "slider_style",
						"std" 		=> "nivoslider",
						"type" 		=> "select",
						"options" 	=> $of_options_slider
				);
$of_options[] = array( 	"name" 		=> "Slider Content",
						"desc" 		=> "Unlimited slider with drag and drop sortings.",
						"id" 		=> "slider_home",
						"std" 		=> "",
						"type" 		=> "slider"
				);
$of_options[] = array( 	"name" 		=> "Video Embed/Iframe Code",
						"desc" 		=> "If you want to place video on your slider area, place the embed/iframe code here",
						"id" 		=> "video_slider",
						"std" 		=> "",
						"type" 		=> "textarea"
				);				
$of_options[] = array( 	"name" 		=> "Homepage",
						"type" 		=> "heading"
				);
$of_options[] = array( 	"name" 		=> "Homepage Background color",
						"desc" 		=> "This is for area under welcome/slider",
						"id" 		=> "homepage_bg",
						"std" 		=> "#ffffff",
						"type" 		=> "color"
				);				
$of_options[] = array( 	"name" 		=> "Homepage Layout Manager",
						"desc" 		=> "Organize how you want the layout to appear on the homepage",
						"id" 		=> "homepage_layout",
						"std" 		=> $of_options_homepage_blocks,
						"type" 		=> "sorter"
				);
$of_options[] = array( 	"name" 		=> "Recent Post Title",
						"desc" 		=> "Enter recent post title",
						"id" 		=> "recentpost_title",
						"std" 		=> "Recent Post",
						"type" 		=> "text",
        );				
$of_options[] = array( 	"name" 		=> "Recent Portfolio Title",
						"desc" 		=> "Enter recent portfolio title",
						"id" 		=> "portfolio_title",
						"std" 		=> "Portfolio",
						"type" 		=> "text",
        );
$url =  ADMIN_DIR . 'assets/images/';
$of_options[] = array( 	"name" 		=> "Featured Box",
						"type" 		=> "heading"
				);    
$of_options[] = array( 	"name" 		=> "Featured Box Style",
						"desc" 		=> "Select your favorite featured box style",
						"id" 		=> "featured_style",
						"std" 		=> "simple",
						"type" 		=> "select",
						"options" 	=> $of_options_featured
        );
$of_options[] = array( 	"name" 		=> "Featured Box Content",
						"desc" 		=> "Unlimited featured contents can be added from here. You can add it like adding new slide. So, click Add new to add new content, and then edit it",
						"id" 		=> "featured_home",
						"std" 		=> "",
						"type" 		=> "slider"
				);  
$of_options[] = array( 	"name" 		=> "Gallery",
						"type" 		=> "heading"
				);
$of_options[] = array( 	"name" 		=> "Gallery Title",
						"desc" 		=> "Enter the gallery title",
						"id" 		=> "gallery_title",
						"std" 		=> "Photo Gallery",
						"type" 		=> "text",
        );
$of_options[] = array( 	"name" 		=> "Gallery Content",
						"desc" 		=> "Unlimited images can be added from here. You can add it like adding new slide. So, click Add new to add new content, and then edit it. You don't need to enter Link and Description",
						"id" 		=> "home_gallery",
						"std" 		=> "",
						"type" 		=> "slider"
				);    
$of_options[] = array( 	"name" 		=> "Testimonial",
						"type" 		=> "heading"
				);
    
$of_options[] = array( 	"name" 		=> "Testimonial Title",
						"desc" 		=> "Enter testimonial title",
						"id" 		=> "testi_title",
						"std" 		=> "Testimonials",
						"type" 		=> "text",
        );
$of_options[] = array( 	"name" 		=> "Testimonial Shows properly",
						"desc" 		=> "If testimonial appears not properly select no", 
						"id" 		=> "testimoni",
						"std" 		=> "yes",
						"type" 		=> "select",
						"options" 	=> $of_options_testi
        );    
$of_options[] = array( 	"name" 		=> "Footer Options",
						"type" 		=> "heading"
				);
$url =  ADMIN_DIR . 'assets/images/';
$of_options[] = array( 	"name" 		=> "Footer Columns Style",
						"desc" 		=> "Select footer columns style.",
						"id" 		=> "footer_columns",
						"std" 		=> "op_one",
						"type" 		=> "images",
						"options" 	=> array(
											'op_one' 	=> $url . 'op_one.png',
											'op_two' 	=> $url . 'op_two.png',
											'op_three' 	=> $url . 'op_three.png',
											'op_four' 	=> $url . 'op_four.png'
										)
				);							
$of_options[] = array( 	"name" 		=> "Copyright Text",
						"desc" 		=> "Enter yur copyright text",
						"id" 		=> "footer_text",
						"std" 		=> "Copyright &copy; by <a href='#'>Your Website</a> and Powered by <a href='http://wonderbizz.net' target='_blank'>WonderBizz Theme</a>.",
						"type" 		=> "textarea"
				);
$of_options[] = array( 	"name" 		=> "Tracking Code",
						"desc" 		=> "Paste your Google Analytics (or other) tracking code here. This will be added into the footer template of your theme.",
						"id" 		=> "google_analytics",
						"std" 		=> "",
						"type" 		=> "textarea"
				);       
$of_options[] = array( 	"name" 		=> "Pricing Table",
						"type" 		=> "heading"
				);
$of_options[] = array( 	"name" 		=> "Pricing Table",
						"desc" 		=> "This title is only displayed on homepage",
						"id" 		=> "pricing_title",
						"std" 		=> "Pricing Table",
						"type" 		=> "text"
				);							
$of_options[] = array( 	"name" 		=> "Table 1 Title",
						"desc" 		=> "This is title for table 1",
						"id" 		=> "prc_title1",
						"std" 		=> "Title 1",
						"type" 		=> "text"
				);
				
$of_options[] = array( 	"name" 		=> "Table 1 Price",
						"desc" 		=> "This is a price for table 1",
						"id" 		=> "prc_table1",
						"std" 		=> "$00.00",
						"type" 		=> "text"
				);
$of_options[] = array( 	"name" 		=> "Table 1 Content",
						"desc" 		=> "This is content for table 1. Place content between &lt;li class='bullet-item'&gt; and &lt;/li&gt;",
						"id" 		=> "prc_content1",
						"std" 		=> "<li class='bullet-item'></li>",
						"type" 		=> "textarea"
				);
$of_options[] = array( 	"name" 		=> "Table 1 URL Destination",
						"desc" 		=> "Enter url destination when button on table 1 being clicked",
						"id" 		=> "prc_button1",
						"std" 		=> "http://",
						"type" 		=> "text"
				);	
$of_options[] = array( 	"name" 		=> "Table 2 Title",
						"desc" 		=> "This is title for table 2",
						"id" 		=> "prc_title2",
						"std" 		=> "Title 2",
						"type" 		=> "text"
				);
				
$of_options[] = array( 	"name" 		=> "Table 2 Price",
						"desc" 		=> "This is a price for table 2",
						"id" 		=> "prc_table2",
						"std" 		=> "$00.00",
						"type" 		=> "text"
				);
$of_options[] = array( 	"name" 		=> "Table 2 Content",
						"desc" 		=> "This is content for table 2. Place content between &lt;li class='bullet-item'&gt; and &lt;/li&gt;",
						"id" 		=> "prc_content2",
						"std" 		=> "<li class='bullet-item'></li>",
						"type" 		=> "textarea"
				);
$of_options[] = array( 	"name" 		=> "Table 2 URL Destination",
						"desc" 		=> "Enter url destination when button on table 2 being clicked",
						"id" 		=> "prc_button2",
						"std" 		=> "http://",
						"type" 		=> "text"
				);				
$of_options[] = array( 	"name" 		=> "Table 3 Title",
						"desc" 		=> "This is title for table 3",
						"id" 		=> "prc_title3",
						"std" 		=> "Title 3",
						"type" 		=> "text"
				);
				
$of_options[] = array( 	"name" 		=> "Table 3 Price",
						"desc" 		=> "This is a price for table 3",
						"id" 		=> "prc_table3",
						"std" 		=> "$00.00",
						"type" 		=> "text"
				);
$of_options[] = array( 	"name" 		=> "Table 3 Content",
						"desc" 		=> "This is content for table 3. Place content between &lt;li class='bullet-item'&gt; and &lt;/li&gt;",
						"id" 		=> "prc_content3",
						"std" 		=> "<li class='bullet-item'></li>",
						"type" 		=> "textarea"
				);
$of_options[] = array( 	"name" 		=> "Table 3 URL Destination",
						"desc" 		=> "Enter url destination when button on table 3 being clicked",
						"id" 		=> "prc_button3",
						"std" 		=> "http://",
						"type" 		=> "text"
				);
$of_options[] = array( 	"name" 		=> "Button Text",
						"desc" 		=> "Enter Button Text",
						"id" 		=> "prc_button_text",
						"std" 		=> "BUY NOW",
						"type" 		=> "text"
				);
$of_options[] = array( 	"name" 		=> "Button Text Color",
						"desc" 		=> "Select color for button text) (default is whit",
						"id" 		=> "prc_button_color",
						"std" 		=> "#ffffff",
						"type" 		=> "color"
				);				
$of_options[] = array( 	"name" 		=> "Button Background",
						"desc" 		=> "Select background for the button (default: #4278d6).",
						"id" 		=> "prc_button_bg",
						"std" 		=> "#4278d6",
						"type" 		=> "color"      
				);				
//Advanced Settings
$of_options[] = array( 	"name" 		=> "Mobile Options",
						"type" 		=> "heading",
						"icon"		=> ADMIN_IMAGES . "icon-mobile.png"                      
				);
$of_options[] = array( 	"name" 		=> "Custom Mobile Template",
						"desc" 		=> "Switch to ON if you want to use custom mobile template",
						"id" 		=> "switch_mobile",
						"std" 		=> 0,
						"folds"		=> 1,
						"type" 		=> "switch"
				);
$url =  ADMIN_DIR . 'assets/images/';
$of_options[] = array( 	"name" 		=> "Mobile Template",
						"desc" 		=> "Select your favorite mobile template.",
						"id" 		=> "mobile_style",
						"std" 		=> "style 1.css",
						"fold" 		=> "switch_mobile",
						"type" 		=> "images",
						"options" 	=> array(
											'style1' 	=> $url . '7.png',
											'style4' 	=> $url . '5.png',
											'style7' 	=> $url . '1.png',
											'style8' 	=> $url . '2.png',
											'style10' 	=> $url . '10.png',
											'style2' 	=> $url . '9.png',
											'style3' 	=> $url . '4.png',
											'style5' 	=> $url . '3.png',
											'style9' 	=> $url . '8.png',
											'style6' 	=> $url . '6.png'
											              
            )
				);
$of_options[] = array( 	"name" 		=> "Homepage Mobile Layout",
						"desc" 		=> "Organize how you want the layout to appear on the mobile homepage",
						"id" 		=> "mobile_layout",
						"fold" 		=> "switch_mobile",
            "std" 		=> $of_options_homepage_mobile,
						"type" 		=> "sorter"
        );              
                      
$of_options[] = array( 	"name" 		=> "Background Color",
						"desc" 		=> "Select mobile background color",
						"id" 		=> "mobile_bgcolor",
						"std" 		=> "#666666",
						"fold" 		=> "switch_mobile", /* the switch hook */
						"type" 		=> "color"
				);
$of_options[] = array( 	"name" 		=> "Text Color",
						"desc" 		=> "Select mobile background color",
						"id" 		=> "mobile_text_color",
						"std" 		=> "#333333",
						"fold" 		=> "switch_mobile", /* the switch hook */
						"type" 		=> "color"
				);				
$of_options[] = array( 	"name" 		=> "Header Background Color",
						"desc" 		=> "Select mobile header background color",
						"id" 		=> "mobile_header",
						"std" 		=> "#000000",
						"fold" 		=> "switch_mobile", /* the switch hook */
						"type" 		=> "color"
				);
$of_options[] = array( 	"name" 		=> "Mobile Menu Background",
						"desc" 		=> "Select mobile menu background color",
						"id" 		=> "mobile_menu_bg",
						"std" 		=> "#74ACDF",
						"fold" 		=> "switch_mobile", /* the switch hook */
						"type" 		=> "color"
				);
$of_options[] = array( 	"name" 		=> "Mobile Menu Color",
						"desc" 		=> "Select mobile menu color",
						"id" 		=> "mobile_menu_color",
						"std" 		=> "#fff",
						"fold" 		=> "switch_mobile", /* the switch hook */
						"type" 		=> "color"
				);				
				
$of_options[] = array( 	"name" 		=> "Mobile Menu",
						"desc" 		=> "Unlimited mobile menu you can created. You just need to upload image (must be rectangle), title and link.",
						"id" 		=> "mobile_menu",
						"std" 		=> "",
						"fold" 		=> "switch_mobile", /* the switch hook */
						"type" 		=> "slider"
				);
$of_options[] = array( 	"name" 		=> "CSS Options",
						"type" 		=> "heading",
				);
$of_options[] = array( 	"name" 		=> "CSS Code",
						"desc" 		=> "If you want to add your own css, please enter it here",
						"id" 		=> "css_add",
						"std" 		=> "",
						"type" 		=> "textarea",
        );
				
// Backup Options
$of_options[] = array( 	"name" 		=> "Backup Options",
						"type" 		=> "heading",
				);
				
$of_options[] = array( 	"name" 		=> "Backup and Restore Options",
						"id" 		=> "of_backup",
						"std" 		=> "",
						"type" 		=> "backup",
						"desc" 		=> 'You can use the two buttons below to backup your current options, and then restore it back at a later time. This is useful if you want to experiment on the options but would like to keep the old settings in case you need it back.',
				);
				
$of_options[] = array( 	"name" 		=> "Transfer Theme Options Data",
						"id" 		=> "of_transfer",
						"std" 		=> "",
						"type" 		=> "transfer",
						"desc" 		=> 'You can tranfer the saved options data between different installs by copying the text inside the text box. To import data from another install, replace the data in the text box with the one from another install and click "Import Options".',
				);
				
	}//End function: of_options()
}//End chack if function exists: of_options()
?>
